> For the complete documentation index, see [llms.txt](https://developer.convergegate.com/legacy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.convergegate.com/legacy/token-api/card/retrieve-card-data.md).

# Retrieve card data

<mark style="color:green;">`GET`</mark>` ``/v1/customers/:id/sources/:id`

{% tabs %}
{% tab title="CURL" %}
{% code overflow="wrap" %}

```
curl https://testapi.txpmnts.com/v1/customers/P2ZTA56JQ7-AvwGf0pHd2Q/sources/TlnNDVS6TteSn2-FEh3ZKg \
  -u sk_test_yFStF-KUmgr-7CoumuY2JA:
```

{% endcode %}
{% endtab %}
{% endtabs %}

The above command returns JSON structured like this:

```json
{
	"id": "TlnNDVS6TteSn2-FEh3ZKg",
	"created_at": 1568904725,
	"name": "John Doe",
	"exp_month": 12,
	"exp_year": 2022,
	"last4": "6624",
	"brand": "mastercard",
	"customer": "P2ZTA56JQ7-AvwGf0pHd2Q",
	"fingerprint": "R1gbK7BauiX3XdnUCQRhzlnvMxxtSKVS7NqScFBeVRE",
	"client_ip": "127.0.0.1",
	"address_line1": "Address line 1",
	"address_city": "Cardholder City",
	"address_state": "mz",
	"address_zip": "24310",
	"address_country": "PL",
	"type": "card"
}
```

## Arguments <a href="#arguments-1" id="arguments-1"></a>

| Argument | Type   | Description                                |
| -------- | ------ | ------------------------------------------ |
| customer | string | Customer id owner of the card id provided. |
| cardID   | string | Card id that you want to retrieve.         |

## Returns <a href="#returns-1" id="returns-1"></a>

Return the card with the id if the card is linked to the customer if not it return 404.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.convergegate.com/legacy/token-api/card/retrieve-card-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
